#include <stdio.h>

int
main(){
	int len, temp;
	scanf("%d", &len);
	len = len - 1;
	int arr[128] = {0};

	for(int i = 0; i <= len ; i++)
		scanf("%d", &arr[i]);
	

	for(int i = 0; i <= len; i++){
		for (int j = i; j > 0; j-- ){
			if (arr[j-1] > arr[j]){
				temp = arr[j-1];
				arr[j-1] = arr[j];
				arr[j] = temp;
			}
		}
	}


	for(int n = 0; n <= len; n++)
		printf("%d ", arr[n]);

	putchar('\n');
return 0;}
